#ifndef __CHEB_EXPAND__
#define __CHEB_EXPAND__

#include <stdlib.h>

#include "auc_defs.h"

/* return coefficients of Chebyshev expansion of function f */
FLT_TYPE *
cheb_expand(FLT_TYPE (*f)(FLT_TYPE), size_t maxdeg);

#endif  /* __CHEB_EXPAND__ */
