#ifndef __EXACT_AUC__
#define __EXACT_AUC__


#include <stdio.h>

#include "auc_defs.h"
#include "data_access.h"
#include "vect_utils.h"
#include "attribute_norms.h"


FLT_TYPE
compute_exact_auc(FILE * f, FLT_TYPE * weights, LONG_INT_TYPE nattrs);

FLT_TYPE
compute_exact_soft_auc(FILE * f, FLT_TYPE * weights, LONG_INT_TYPE nattrs,
		       FLT_TYPE (*sigmoid)(FLT_TYPE x));


#endif  /* __EXACT_AUC__ */
